#
# GENERATED BY init.sh - template: ./templates/docker-compose.yml - fc2f1d55926abdb9c54f65afd0571d7b
#
# ======================================================================
#
# (1) see .env for set variables
# (2) run "docker-compose up" to startup
# 
# ======================================================================
version: '3.9'

networks:
  ci-pkg-network:

services:

  # ----- apache httpd + php
  ci-pkg-web-server:
    build:
      context: .
      dockerfile: ./containers/web-server/Dockerfile
    image: "php:8.2-apache"
    container_name: 'ci-pkg-server'
    ports:
      - '${APP_PORT}:80'

    working_dir: ${WEBROOT}
    
    volumes:
      - ../:/var/www/${APP_NAME}
      - ./containers/web-server/apache/sites-enabled:/etc/apache2/sites-enabled
      - ./containers/web-server/php/extra-php-config.ini:/usr/local/etc/php/conf.d/extra-php-config.ini
    healthcheck:
      test: ["CMD", "curl", "-f", "http://localhost"]
      interval: 10s
      timeout: 3s
      retries: 5
      # start_period: 40s

    networks:
      - ci-pkg-network

    user: ${DOCKER_USER_UID}

